#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	LiTE is a Toolkit Engine
Summary(pl.UTF-8):	LiTE - silnik toolkitu
Name:		LiTE
Version:	0.8.10
Release:	12
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.net/downloads/Libs/%{name}-%{version}.tar.gz
# Source0-md5:	b9a28007d38c2b1c51ba1c3841df29ad
Patch0:		%{name}-stat.patch
URL:		http://www.directfb.net/index.php?path=Platform/LiTE
BuildRequires:	DirectFB-devel >= 1:1.0.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	t1utils
Requires(post,postun):	/sbin/ldconfig
Requires:	%{_fontsdir}/TTF
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LiTE is a Toolkit Engine.

%description -l pl.UTF-8
LiTE - silnik toolkitu.

%package devel
Summary:	LiTE header files
Summary(pl.UTF-8):	Pliki nagłówkowe LiTE
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	DirectFB-devel >= 1:1.0.0

%description devel
Header files for LiTE library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LiTE.

%package static
Summary:	LiTE static library
Summary(pl.UTF-8):	Statyczna biblioteka LiTE
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
LiTE static library.

%description static -l pl.UTF-8
Statyczna biblioteka LiTE.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	--with-fontdir=%{_fontsdir}/TTF \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_fontsdir}/Type1
t1binary $RPM_BUILD_ROOT%{_fontsdir}/TTF/Misc-Fixed.pfa \
	$RPM_BUILD_ROOT%{_fontsdir}/Type1/Misc-Fixed.pfb
cat > $RPM_BUILD_ROOT%{_fontsdir}/Type1/fonts.scale.LiTE <<EOF
Misc-Fixed.pfb -misc-fixed-medium-r-normal--0-0-0-0-m-0-ascii-0
Misc-Fixed.pfb -misc-fixed-medium-r-normal--0-0-0-0-m-0-iso10646-1
Misc-Fixed.pfb -misc-fixed-medium-r-normal--0-0-0-0-m-0-iso8859-1
EOF
rm -f $RPM_BUILD_ROOT%{_fontsdir}/TTF/Misc-Fixed.pfa

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -x /usr/bin/fontpostinst ]; then
	fontpostinst TTF
	fontpostinst Type1
fi

%postun
/sbin/ldconfig
if [ -x /usr/bin/fontpostinst ]; then
	fontpostinst TTF
	fontpostinst Type1
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/lite_*
%attr(755,root,root) %{_libdir}/libleck.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libleck.so.3
%attr(755,root,root) %{_libdir}/liblite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblite.so.3
%{_datadir}/LiTE
%{_fontsdir}/TTF/decker.ttf
%{_fontsdir}/TTF/vera*.ttf
%{_fontsdir}/TTF/whiterabbit.ttf
%{_fontsdir}/Type1/Misc-Fixed.pfb
%{_fontsdir}/Type1/fonts.scale.LiTE

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libleck.so
%attr(755,root,root) %{_libdir}/liblite.so
%{_libdir}/libleck.la
%{_libdir}/liblite.la
%{_includedir}/leck
%{_includedir}/lite
%{_pkgconfigdir}/leck.pc
%{_pkgconfigdir}/lite.pc
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libleck.a
%{_libdir}/liblite.a
%endif
%changelog
* Thu Oct 12 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/LiTE.git;a=log;h=d348a0e7f5d1c846a5d6af7c5738c90cc09aecdc

* Fri Jul 07 2017 Jakub Bogusz <qboosh@pld-linux.org> d348a0e
- release 12 (rebuild with DirectFB 1.7.7)

* Sat Aug 27 2016 Jan Rękorajski <baggins@pld-linux.org> e4b7b01
- release 11 (by relup.sh)

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 405c301
- release 10 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c10465c
- release 9 (by relup.sh)

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> 72e780e
- rebuild with DirectFB 1.7.2
- release 8 (by relup.sh)

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 91861e8
- release 7 (by relup.sh)

* Fri Jul 19 2013 Jan Rękorajski <baggins@pld-linux.org> a6e7332
- rebuild with DirectFB 1.7.0
- release 6 (by relup.sh)

* Sat Oct 06 2012 Elan Ruusamäe <glen@delfi.ee> 70be7e1
- release 5 (by relup.sh)

* Sat Oct 06 2012 Jakub Bogusz <qboosh@pld-linux.org> dbcb455
- release 4 (for DirectFB 1.6.x)

* Fri Feb 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fd25bb
- release 3

* Sun Jan 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 90234bf
- added stat patch (fixes build in current environment)
- release 2

* Thu Nov 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 697afbd
- updated to 0.8.10

* Wed Sep 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 055f5e6
- updated to 0.8.9

* Thu Jan 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 51614d8
- ghost soname symlink

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 0f460a1
- up to 0.8.6

* Sat Sep 08 2007 witekfl <witekfl@pld-linux.org> 2230921
- added bcond_without static_libs

* Sun Mar 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 0325c02
- updated to 0.8.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9f7117d
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 51ddd3e
- converted to UTF-8

* Sat May 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 278a668
- updated to 0.7.2

